LIBMTP_allowed_values_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

uint8_t | u8max
uint8_t | u8min
uint8_t | u8step
uint8_t * | u8vals
int8_t | i8max
int8_t | i8min
int8_t | i8step
int8_t * | i8vals
uint16_t | u16max
uint16_t | u16min
uint16_t | u16step
uint16_t * | u16vals
int16_t | i16max
int16_t | i16min
int16_t | i16step
int16_t * | i16vals
uint32_t | u32max
uint32_t | u32min
uint32_t | u32step
uint32_t * | u32vals
int32_t | i32max
int32_t | i32min
int32_t | i32step
int32_t * | i32vals
uint64_t | u64max
uint64_t | u64min
uint64_t | u64step
uint64_t * | u64vals
int64_t | i64max
int64_t | i64min
int64_t | i64step
int64_t * | i64vals
uint16_t | num_entries
LIBMTP_datatype_t | datatype
int | is_range

## Detailed Description

A data structure to hold allowed ranges of values

## Field Documentation

## datatype

LIBMTP_datatype_t LIBMTP_allowed_values_struct::datatype

The datatype specifying which of the above is used

Referenced by LIBMTP_destroy_allowed_values_t(), and LIBMTP_Get_Allowed_Property_Values().

## is_range

int LIBMTP_allowed_values_struct::is_range

Non zero for range, 0 for enum

Referenced by LIBMTP_destroy_allowed_values_t(), and LIBMTP_Get_Allowed_Property_Values().

## num_entries

uint16_t LIBMTP_allowed_values_struct::num_entries

Number of entries in the vals array

Referenced by LIBMTP_Get_Allowed_Property_Values().

The documentation for this struct was generated from the following file:

- libmtp.h